package com.kingdee.eas.custom.facade.leave;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.custom.facade.leave.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class LeaveAllowanceFacade extends AbstractBizCtrl implements ILeaveAllowanceFacade
{
    public LeaveAllowanceFacade()
    {
        super();
        registerInterface(ILeaveAllowanceFacade.class, this);
    }
    public LeaveAllowanceFacade(Context ctx)
    {
        super(ctx);
        registerInterface(ILeaveAllowanceFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("1FBBCAEE");
    }
    private LeaveAllowanceFacadeController getController() throws BOSException
    {
        return (LeaveAllowanceFacadeController)getBizController();
    }
    /**
     *生成年假结转额度-User defined method
     *@param year 年度
     *@param personNum 人员编码
     */
    public void createAnnualLeave(int year, String personNum) throws BOSException
    {
        try {
            getController().createAnnualLeave(getContext(), year, personNum);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *生成护理假额度-User defined method
     *@param year 年度
     *@param personNum 人员编码
     */
    public void creareNursingLeave(int year, String personNum) throws BOSException
    {
        try {
            getController().creareNursingLeave(getContext(), year, personNum);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *生成育儿假额度-User defined method
     *@param year 年度
     *@param personNum 人员编码
     */
    public void creareParentalLeave(int year, String personNum) throws BOSException
    {
        try {
            getController().creareParentalLeave(getContext(), year, personNum);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *年假结转-User defined method
     *@param year 年度
     *@param isExecute 是否执行
     *@param personNum 人员编码
     */
    public void carryForwardLeave(int year, boolean isExecute, String personNum) throws BOSException, EASBizException
    {
        try {
            getController().carryForwardLeave(getContext(), year, isExecute, personNum);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *设置司龄-User defined method
     */
    public void setSeniority() throws BOSException, EASBizException
    {
        try {
            getController().setSeniority(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}